cURL
curl --request GET \
--url https://app.teable.ai/api/base/%7BbaseId%7D/erd \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"baseId": "<string>",
"nodes": [
{
"id": "<string>",
"name": "<string>",
"fields": [
{
"id": "<string>",
"name": "Tags",
"type": "singleSelect",
"isLookup": true,
"isConditionalLookup": true,
"isPrimary": true
}
],
"icon": "<string>",
"crossBaseId": "<string>",
"crossBaseName": "<string>"
}
],
"edges": [
{
"source": {
"tableId": "<string>",
"tableName": "<string>",
"fieldId": "<string>",
"fieldName": "<string>"
},
"target": {
"tableId": "<string>",
"tableName": "<string>",
"fieldId": "<string>",
"fieldName": "<string>"
},
"isOneWay": true
}
]
}base
Get base erd
Get the erd of a base
GET
/
base
/
{baseId}
/
erd
cURL
curl --request GET \
--url https://app.teable.ai/api/base/%7BbaseId%7D/erd \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"baseId": "<string>",
"nodes": [
{
"id": "<string>",
"name": "<string>",
"fields": [
{
"id": "<string>",
"name": "Tags",
"type": "singleSelect",
"isLookup": true,
"isConditionalLookup": true,
"isPrimary": true
}
],
"icon": "<string>",
"crossBaseId": "<string>",
"crossBaseName": "<string>"
}
],
"edges": [
{
"source": {
"tableId": "<string>",
"tableName": "<string>",
"fieldId": "<string>",
"fieldName": "<string>"
},
"target": {
"tableId": "<string>",
"tableName": "<string>",
"fieldId": "<string>",
"fieldName": "<string>"
},
"isOneWay": true
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Last modified on March 5, 2026
Was this page helpful?
⌘I

